Summary:	Command line client (terminal recorder) for asciinema.org service
Name:		asciinema
Version:	1.2.0
Release:	1
License:	MIT
Group:		Applications/Networking
Source0:	https://github.com/asciinema/asciinema/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	f61680ca17328ed43b61a24b1c267e29
URL:		http://asciinema.org/docs
BuildRequires:	golang >= 1.3.1
BuildRequires:	rpmbuild(macros) >= 1.710
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_enable_debug_packages 0
%define		gobuild(o:) go build -ldflags "${LDFLAGS:-} -B 0x$(head -c20 /dev/urandom|od -An -tx1|tr -d ' \\n')" -a -v -x %{?**};
%define		gopath		%{_libdir}/golang
%define		import_path	github.com/asciinema/asciinema

%description
Asciinema is a free and open source solution for recording the
terminal sessions and sharing them on the web.

%prep
%setup -q

%build
# set up temporary build gopath, and put our directory there
install -d _build/src/%{import_path}
ln -s $(pwd)/* _build/src/%{import_path}

export GOPATH=$(pwd)/_build:%{gopath}
LDFLAGS="-s -linkmode external"
%gobuild -o "bin/%{name}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}
install -p bin/asciinema $RPM_BUILD_ROOT%{_bindir}/asciinema
cp -p -p man/asciinema.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/asciinema
%{_mandir}/man1/asciinema.1*
%changelog
* Thu May 26 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/asciinema.git;a=log;h=master

* Thu May 26 2016 Elan Ruusamäe <glen@delfi.ee> 4366cd1
- up to 1.2.0, rewritten in go

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 5b58164
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 844b868
- automatic change: use py_build/py_install macros

* Tue Nov 12 2013 Elan Ruusamäe <glen@delfi.ee> bff629a
- R python-distribute for pkg_resources import

* Mon Nov 11 2013 Elan Ruusamäe <glen@delfi.ee> 264f8e5
- new, verison 0.9.7

